Loading...
Searching...
No Matches
Miscellaneous hash APIs
Hash table serialization support

## Macros

#define | svn_hash_gets(ht, key)
| Shortcut for apr_hash_get() with a const char * key.
#define | svn_hash_sets(ht, key, val)
| Shortcut for apr_hash_set() with a const char * key.

## Functions

svn_error_t * | svn_hash_keys (apr_array_header_t **array, apr_hash_t *hash, apr_pool_t *pool)
| Return the keys to hash in *array.
svn_error_t * | svn_hash_from_cstring_keys (apr_hash_t **hash, const apr_array_header_t *keys, apr_pool_t *pool)
| Set *hash to a new hash whose keys come from the items in keys (an array of const char * items), and whose values are match their corresponding key.

## Detailed Description

## Macro Definition Documentation

## svn_hash_gets

#define svn_hash_gets | ( |  | ht,
|  |  | key )

Value:
apr_hash_get(ht, key, APR_HASH_KEY_STRING)

Shortcut for apr_hash_get() with a const char * key.

Since
  New in 1.8.

Definition at line 262 of file svn_hash.h.

## svn_hash_sets

#define svn_hash_sets | ( |  | ht,
|  |  | key,
|  |  | val )

Value:
apr_hash_set(ht, key, APR_HASH_KEY_STRING, val)

Shortcut for apr_hash_set() with a const char * key.

Since
  New in 1.8.

Definition at line 277 of file svn_hash.h.

## Function Documentation

## svn_hash_from_cstring_keys()

svn_error_t * svn_hash_from_cstring_keys | ( | apr_hash_t ** | hash,
|  | const apr_array_header_t * | keys,
|  | apr_pool_t * | pool )

Set *hash to a new hash whose keys come from the items in keys (an array of const char * items), and whose values are match their corresponding key.

Use pool for all allocations (including *hash, its keys, and its values).

Since
  New in 1.5.

## svn_hash_keys()

svn_error_t * svn_hash_keys | ( | apr_array_header_t ** | array,
|  | apr_hash_t * | hash,
|  | apr_pool_t * | pool )

Return the keys to hash in *array.

The keys are assumed to be (const char *). The keys are in no particular order.

*array itself is allocated in pool; however, the keys are not copied from the hash.

Since
  New in 1.5.